SET DEFINE OFF
--
-- 
-- ___________________________________________________________________
--  /!\ ATTENTION /!\  fichier encodé en UTF-8   (  il peut  contenir des é è ç à î ê ô ... )
-- ___________________________________________________________________
--
--
-- 
-- Fichier :  n°3/5
-- Type : DML
-- Schéma modifié :  STAGES
-- Schéma d'execution du script : STAGES
-- Numéro de version :  0.5.0.0
-- Date de publication : 11/02/2013
-- Licence : CeCILL version 2
--
--

/**
 * Ajout du type "Convention de stage" pour les pièces jointes  
 */

whenever sqlerror exit sql.sqlcode ;

-- --------- --
-- STG_ACCES --
-- --------- --
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'CANDI', 'Candidature spontanée');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'ETABL', 'Offre sur le site de l''établissement');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'MRIP' , 'Maison de la Réussite');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'RELAT', 'Relations ancien diplômés');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'PERSO', 'Relations personnelles');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'ENTRE', 'Site internet de l''entreprise');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'ENSEI', 'Enseignant');
INSERT INTO STAGES.STG_ACCES (SAC_ID, SAC_LC, SAC_LL) VALUES (STAGES.STG_ACCES_SEQ.NEXTVAL , 'AUTRE', 'Autre');

-- ---------- --
-- STG_CONFIG --
-- ---------- --
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL, 'default_user_pers_id', '1');
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL, 'default_acces_lc', 'CANDI');
-- Liste des persId des administrateurs, à séparer par des virgules
-- Liste modifiable dans l'application, mais au moins un administrateur doit être créé
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL,'admins_pers_id', '1');
-- Taux du plafond horaire de la Sécurité Sociale pour la gratification obligatoire 
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL,'tx_plafond_horaire', '12.5');
-- Plafond horaire de la Sécurité Sociale pour la gratification obligatoire
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL,'plafond_horaire', '23');
-- Durée mensuelle de travail, en heures
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL,'duree_mensuelle', '151.67');
-- Durée à partir de laquelle un doit a obligation d'être gratifié
INSERT INTO STAGES.STG_CONFIG (SCFG_ID, SCFG_LC, SCFG_VALEUR) VALUES (STAGES.STG_CONFIG_SEQ.NEXTVAL,'duree_min_grat_obligatoire', '2');

-- -------- --
-- STG_TYPE --
-- -------- --
INSERT INTO STAGES.STG_TYPE (STY_ID, STY_LC, STY_LL, STY_AFFICHAGE, STY_MODELE_CONV, STY_EC_OBLIGATOIRE) VALUES (STAGES.STG_TYPE_SEQ.NEXTVAL, 'STGO', 'Stage obligatoire', 'Stage obligatoire comptant pour l''obtention du diplôme', 'tmp.odt', 'O');
INSERT INTO STAGES.STG_TYPE (STY_ID, STY_LC, STY_LL, STY_AFFICHAGE, STY_MODELE_CONV, STY_EC_OBLIGATOIRE) VALUES (STAGES.STG_TYPE_SEQ.NEXTVAL, 'STGNO', 'Stage non-obligatoire', 'Stage non-obligatoire', 'tmp.odt', 'N');

--
-- Ne pas modifier les données ci-dessous
--

-- --------- --
-- STG_ANNEE --
-- --------- --
INSERT INTO STAGES.STG_ANNEE (SAN_ID, SAN_DEBUT, SAN_FIN, SAN_COURANTE) VALUES ('2011', '2011', '2012', 'N');
INSERT INTO STAGES.STG_ANNEE (SAN_ID, SAN_DEBUT, SAN_FIN, SAN_COURANTE) VALUES ('2012', '2012', '2013', 'O');

-- -------- --
-- STG_ETAT --
-- -------- --
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '0', 'INIT' , 'Demande initiée, en attente d''envoi pour validation');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '1', 'WVALP', 'En attente de validation pédagogique');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '2', 'WTUTE', 'En attente de tuteur');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '3', 'WVALT', 'En attente de validation du tuteur');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '4', 'WVADM', 'En attente de validation administrative');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '5', 'WEDIT', 'En attente d''édition');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '6', 'WSIGN', 'En attente des signatures');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '7', 'FINAL', 'Convention signée');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '98', 'RESIL', 'Convention résiliée');
INSERT INTO STAGES.STG_ETAT (SET_ID, SET_ORDRE, SET_LC, SET_LL) VALUES (STAGES.STG_ETAT_SEQ.NEXTVAL, '99', 'SUPPR', 'Convention supprimée');

-- ------------------ --
-- STG_EVENEMENT_TYPE --
-- ------------------ --
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'INIT' , 'Création initiale');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'MODIF', 'Modification de la demande');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'DVALP', 'Demande de validation pédagogique');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'VALP' , 'Validation pédagogique');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'RVALP', 'Refus de validation pédagogique');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'VALT' , 'Validation du tuteur');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'RVALT', 'Refus du tuteur');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'NEWTU', 'Désigation d''un tuteur');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'MODAD', 'Modification administrative');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'VALAD', 'Validation administrative');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'ANNAD', 'Annulation validation administrative');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'EDIT' , 'Edition de la convention');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'SUPPF', 'Suppression du fichier de la convention');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'SIGNA', 'Réception des signatures');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'RESIL', 'Résilisation de la convention');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'SUPPC', 'Suppression totale de la convention');

INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'NEWAV', 'Création d''un avenant');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'VALAV', 'Validation d''un avenant');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'SUPAV', 'Suppression d''un avenant');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'REFAV', 'Refus d''un avenant');
INSERT INTO STAGES.STG_EVENEMENT_TYPE (SEVT_ID, SEVT_LC, SEVT_LL) VALUES (STAGES.STG_EVENEMENT_TYPE_SEQ.NEXTVAL, 'VERAV', 'Verrouillage d''un avenant');

-- --------------- --
-- Type convention --
-- --------------- --
INSERT INTO STAGES.STG_PIECE_JOINTE_TYPE (SPJT_ID, SPJT_LC, SPJT_LL) VALUES (STAGES.STG_PIECE_JOINTE_TYPE_SEQ.NEXTVAL,'CONV', 'Convention de stage');

-- ---------- --
-- DB_VERSION
-- ---------- --
UPDATE STAGES.DB_VERSION SET DBV_INSTALL = SYSDATE WHERE DBV_LIBELLE = '0.5.0.0';